;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-

(setq user-full-name "insects"
      user-mail-address "mail@liv.nrw")

;; Set fonts and window sizes
(add-to-list 'default-frame-alist '(fullscreen . maximized))

(if (string-prefix-p "enoko" (system-name))
    (setq doom-font (font-spec :family "RecMonoCasual Nerd Font" :size 15 :weight 'semi-light))
  (setq doom-font (font-spec :family "RecMonoCasual Nerd Font" :size 17 :weight 'semi-light)))

;; Load our cute color scheme
(setq catppuccin-flavor 'mocha)
(setq doom-theme 'catppuccin)

(pixel-scroll-precision-mode)

;; This determines the style of line numbers in effect. If set to `nil', line
;; numbers are disabled. For relative line numbers, set this to `relative'.
(setq display-line-numbers-type t)

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/Documents/org/")

;; Set our tab-width
(setq-default tab-width 2)

(map! :leader :desc "Find in Chezmoi dotfiles" :n "f ." #'chezmoi-find)
(map! :leader :desc "Save a Chezmoi dotfile" :n "f ," #'chezmoi-write)

(use-package! mood-line
  :config
  (mood-line-mode)
  :custom
  (mood-line-gylph-alist mood-line-glyphs-fira-code))

;; Map some typst-ts-mode keys
(map! :map typst-ts-mode-map
      :localleader
      "p p" #'typst-preview-start
      "p o" #'typst-preview-open-browser
      "p k" #'typst-preview-stop
      "c c" #'typst-ts-compile
      "c p" #'typst-ts-preview)

;; Use Roswell to manage our inferior Lisp program
(setq inferior-lisp-program "ros -Q run")

;; Whenever you reconfigure a package, make sure to wrap your config in an
;; `after!' block, otherwise Doom's defaults may override your settings. E.g.
;;
;;   (after! PACKAGE
;;     (setq x y))
;;
;; The exceptions to this rule:
;;
;;   - Setting file/directory variables (like `org-directory')
;;   - Setting variables which explicitly tell you to set them before their
;;     package is loaded (see 'C-h v VARIABLE' to look up their documentation).
;;   - Setting doom variables (which start with 'doom-' or '+').
;;
;; Here are some additional functions/macros that will help you configure Doom.
;;
;; - `load!' for loading external *.el files relative to this one
;; - `use-package!' for configuring packages
;; - `after!' for running code after a package has loaded
;; - `add-load-path!' for adding directories to the `load-path', relative to
;;   this file. Emacs searches the `load-path' when you load packages with
;;   `require' or `use-package'.
;; - `map!' for binding new keys
;;
;; To get information about any of these functions/macros, move the cursor over
;; the highlighted symbol at press 'K' (non-evil users must press 'C-c c k').
;; This will open documentation for it, including demos of how they are used.
;; Alternatively, use `C-h o' to look up a symbol (functions, variables, faces,
;; etc).
;;
;; You can also try 'gd' (or 'C-c c d') to jump to their definition and see how
;; they are implemented.

