-- mini.nvim configuration

return {
  {
    -- More text objects (not AI!)
    "echasnovski/mini.ai",
    opts = {},
  },
  {
    -- Good commenting
    "echasnovski/mini.comment",
    opts = {},
  },
  {
    "echasnovski/mini.surround",
    opts = {},
  },
  {
    -- Autopairs
    "echasnovski/mini.pairs",
    opts = {},
  },
  {
    -- Go forward and back with [ ]
    "echasnovski/mini.bracketed",
    opts = {},
  },
  {
    -- Label jumping for visible characters
    "echasnovski/mini.jump2d",
    opts = {
      mappings = {
        start_jumping = "",
      },
    },
    keys = {
      {
        "<leader>j",
        "<cmd>lua MiniJump2d.start()<cr>",
        desc = "Jump to visible",
      },
    },
  },
  {
    -- File icons
    "echasnovski/mini.icons",
    opts = {},
  },
  {
    -- Tabs
    "echasnovski/mini.tabline",
    opts = {},
  },
  {
    -- Another picker
    "echasnovski/mini.pick",
    opts = {},
  },
  {
    -- Decent interactive file management
    "echasnovski/mini.files",
    opts = {},
    keys = {
      {
        "<leader>fi",
        function()
          require("mini.files").open()
        end,
        desc = "Edit files interactively",
      },
    },
  },
}
